Anope Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001289Anope Development (1.9.x series)Otherpublic2011-07-20 14:002011-07-28 00:26
ReporterJustasic 
Assigned ToAdam 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusresolvedResolutionfixed 
PlatformLinux x86OSDebianOS Version5
Product Version 
Target VersionFixed in Version 
Summary0001289: Crash on auto-saving databases?
DescriptionThis crash was somewhat hard to catch as it was kind of random but happened often. From the backtrace it looks like there is an issue with the database save timer?

Backtrace: http://pastebin.com/JDJEKDsr [^]
Steps To Reproduce1. start anope in gdb
2. make sandwich and watch favorite tv show
3. see anope crash and look at debug :)
Additional InformationInspIRCd-2.0.5 :Linux debian 2.6.26-2-686 [v2.0.5,epoll,52R]

Anope-1.9.5-g39ca53c-is-both-the-chicken-and-the-egg (73) Services.Flux-Net.net :InspIRCd 2.0 - (enc_none) -- build 0000002, compiled 04:38:57 Jul 17 2011
TagsNo tags attached.
Attached Files

- Relationships
has duplicate 0001292closedAdam services crashing on auto nickname drop 

-  Notes
(0005878)
Adam (administrator)
2011-07-28 00:26

Fixed in cd4f6da735af2e9cdcf6acffe0df5d161a2dc468
(0005874)
MathK1LL (reporter)
2011-07-24 21:55
edited on: 2011-07-24 22:13

Just noticed this myself a revision ago, updated my git to see if it was fixed in the latest, but it's not so..

Running gdb/'r -support' atm, trying to reproduce it.

*edit* I'm on Unreal 3.2 also

*edit 2* http://pastebin.com/iWTkBY2G [^]

(0005873)
Justasic (reporter)
2011-07-20 14:31

after a little more investigation it seems it only crashes after it expires a nickname then attempts to save the database (via the automatic save or /os update)

- Issue History
Date Modified Username Field Change
2011-07-20 14:00 Justasic New Issue
2011-07-20 14:31 Justasic Note Added: 0005873
2011-07-24 21:55 MathK1LL Note Added: 0005874
2011-07-24 21:55 MathK1LL Note Edited: 0005874 View Revisions
2011-07-24 22:13 MathK1LL Note Edited: 0005874 View Revisions
2011-07-28 00:26 Adam Note Added: 0005878
2011-07-28 00:26 Adam Status new => resolved
2011-07-28 00:26 Adam Resolution open => fixed
2011-07-28 00:26 Adam Assigned To => Adam
2011-07-28 00:31 Adam Relationship added has duplicate 0001292


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker